/*  ----------------------------------------------------------------------------
    Breadcrumbs
*/
.td-crumb-container {
  min-height: 35px; //42px;
  margin-bottom: 9px;
  padding-top: 21px;

  /* responsive portrait tablet */
  @media (min-width: @responsive_p_tablet_min) and (max-width: @responsive_p_tablet_max) {
    padding-top: 16px;
  }

  /* responsive portrait phone */
  @media (max-width: @responsive_p_phone_max) {
    padding-top: 11px;
  }
}
.single-post .td-bred-no-url-last {
  /* responsive portrait phone */
  @media (max-width: @responsive_p_phone_max) {
    display: none;
  }
}

.entry-crumbs {
  font-family: @font1;
  font-size: 12px;
  color: #777;
  line-height: 18px;
  padding-top: 1px;
  padding-bottom: 2px;

  a {
    color: #777;

    &:hover {
      color: #777;
    }
  }

  .td-bread-sep {
    font-size: 8px;
    margin: 0 5px;
  }
}

// align breadcrumb when sidebar left
.td-sidebar-left {
  .td-crumb-container {
    padding-left: 372px;

    /* responsive landscape tablet */
    @media (min-width: @responsive_l_tablet_min) and (max-width: @responsive_l_tablet_max) {
      padding-left: 341px;
    }
    /* responsive portrait tablet */
    @media (min-width: @responsive_p_tablet_min) and (max-width: @responsive_p_tablet_max) {
      padding-left: 256px;
    }
    /* responsive portrait phone */
    @media (max-width: @responsive_p_phone_max) {
      padding-left: 0;
    }
  }
}
// float the left sidebar to fix on mobile the sidebar first issue
.td-sidebar-left-content {
  float: right !important;

  /* responsive portrait phone */
  @media (max-width: @responsive_p_phone_max) {
    float: none !important;
  }
}

/*  ----------------------------------------------------------------------------
    Category
*/
.td-category {
  list-style: none;
  font-family: @font1;
  font-size: 10px;
  margin-top: 0;
  margin-bottom: 10px;
  line-height: 1;

  li {
    display: inline-block;
    margin: 0 5px 5px 0;
    line-height: 1;
  }

  a {
    color: #fff;
    background-color: @td_black;
    padding: 3px 6px 4px 6px;
    white-space: nowrap;
    display: inline-block;

    &:hover {
      opacity: 0.9;
    }
  }
}
// post category tags
.single {
  .td-category {
    /* responsive portrait phone */
    @media (max-width: @responsive_p_phone_max) {
      margin-bottom: 0;
    }
  }
}

/*  ----------------------------------------------------------------------------
    Post title
*/
.post {
  header .entry-title {
    margin-top: 0;
    margin-bottom: 7px;
    word-wrap: break-word;
    font-size: 41px;
    line-height: 50px;

    @media (max-width: @responsive_p_tablet_max) {
      font-size: 32px;
      line-height: 36px;
    }
    /* responsive portrait phone */
    @media (max-width: @responsive_p_phone_max) {
      margin-top: 3px;
      margin-bottom: 9px;
    }
  }
}

/*  ----------------------------------------------------------------------------
    Subtitle
*/
.td-post-sub-title {
  font-family: @font1;
  font-size: 16px;
  font-style: italic;
  font-weight: 300;
  line-height: 24px;
  color: #999;
  margin: 9px 0 14px 0;

  @media (max-width: @responsive_p_phone_max) {
    margin: 0 0 16px;
  }
}

/*  ----------------------------------------------------------------------------
    Author - Date - Comments - Count views
*/

.bypostauthor {
  line-height: 1;
} //wordpress requirement

header {
  .td-module-meta-info {
    margin-bottom: 16px;
  }

  //author name
  .td-post-author-name {
    font-weight: 400;
    color: #444;
    float: left; // fix the chrome alignment issue with speed booster

    a {
      font-weight: 700;
      margin-right: 3px;
    }
  }

  //post date
  .td-post-date {
    margin-left: 4px;
    color: #444;
    float: left; // fix the chrome alignment issue with speed booster
  }

  //post views
  .td-post-views {
    float: right;
    margin-right: 22px;

    span {
      line-height: 15px;
      vertical-align: top;
    }
  }

  .td-icon-views {
    position: relative;
    line-height: 17px;
    font-size: 14px;
    margin-right: 5px;
  }

  //comments
  .td-post-comments {
    float: right;
    position: relative;
    top: 2px;

    a {
      color: #444;
    }

    i {
      vertical-align: middle;
    }
  }

  .td-icon-comments {
    margin-right: 5px;
    font-size: 9px;
  }
}

// fix when a photo is float
.post footer {
  clear: both;
}

//in post navigation
.page-nav.page-nav-post {
  margin-top: 0;
}

/*  ----------------------------------------------------------------------------
    Source and Via
*/

// source/via + tag group
.td-post-source-tags {
  font-size: 11px;

  a {
    font-size: 11px;
  }
}

.td-post-source-tags .td-no-tags {
  margin-bottom: 34px;
}

.td-post-source-via {
  font-family: @font1;
  font-weight: 600;
}

.td-post-small-box {
  margin-bottom: 4px;
  line-height: 20px;
  clear: left;
  height: 20px;
  display: table;

  span {
    background-color: @td_black;
    padding: 5px 9px;
    color: #fff;
    display: block;
    text-transform: uppercase;
    line-height: 10px;
    float: left;
    height: 20px;
  }

  a {
    display: block;
    float: left;
    border: 1px solid @td_grid_border_color;
    margin-left: 4px;
    line-height: 8px;
    color: @td_text_color;
    padding: 5px 8px;
    height: 20px;

    &:hover {
      color: #fff;
      background-color: @td_theme_color;
      border-color: @td_theme_color;
    }
  }
}

/*  ----------------------------------------------------------------------------
    Tags
*/
.td-tags {
  margin: 0 0 30px 0;
  font-family: @font1;
  display: table;
  line-height: 20px;
  font-weight: 600;

  li {
    list-style: none;
    display: inline-block;
    line-height: 20px;
    margin-left: 0;
    float: left;
    margin-bottom: 4px;
  }

  span,
  a {
    margin-right: 4px;
    margin-left: 0;
  }
}

/*  ----------------------------------------------------------------------------
    Next / Prev article
*/
.td-post-next-prev-content {
  display: inline-block;
  font-family: @font3;

  span {
    display: block;
    font-size: 12px;
    color: #c1c1c1;
    margin-bottom: 7px;
  }

  a {
    display: block;
    font-size: 15px;
    color: #222;
    line-height: 21px;
    margin-bottom: 43px;

    &:hover {
      color: @td_theme_color;
    }
  }
}

.td-post-next-post {
  text-align: right;
}

.td-next-prev-separator {
  //this is from wp_010 - it is not used here but the core is still generating it
  display: none;
}

#td-outer-wrap .td-post-prev-post,
#td-outer-wrap .td-post-next-post {
  /* responsive portrait phone */
  @media (max-width: @responsive_p_phone_max) {
    width: 50%;
    float: left;
  }
}

/*  ----------------------------------------------------------------------------
    Author box
*/
.author-box-wrap {
  border: 1px solid @td_grid_border_color;
  padding: 21px;
  margin-bottom: 48px;
  background: #fff;

  /* responsive portrait phone */
  @media (max-width: @responsive_p_phone_max) {
    text-align: center;
  }

  .avatar {
    float: left;
    max-width: 96px;

    /* responsive portrait phone */
    @media (max-width: @responsive_p_phone_max) {
      margin-bottom: 5px;
      float: none;
    }
  }

  .desc {
    margin-left: 117px;
    font-size: 12px;

    /* responsive portrait phone */
    @media (max-width: @responsive_p_phone_max) {
      margin-left: 0;
    }
  }

  .td-social-icon-wrap .td-icon-font {
    color: #222;
  }

  .td-author-social {
    margin-bottom: -5px;

    a {
      color: #444;
      margin-top: 11px;

      &:hover {
        color: @td_theme_color;
      }
    }

    .td-icon-font {
      font-size: 15px;
      width: auto;
      min-width: 18px;
      height: auto;
      margin-right: 15px;
    }
  }
}

.td-author-name {
  font-family: @font1;
  font-size: 15px;
  line-height: 21px;
  font-weight: 700;
  margin: 7px 0 8px 0;

  a {
    color: #222;

    &:hover {
      color: @td_theme_color;
    }
  }
}

.td-author-url {
  font-size: 11px;
  font-style: italic;
  line-height: 21px;
  margin-bottom: 6px;

  a {
    color: #444;

    &:hover {
      color: @td_theme_color;
    }
  }
}

/*  ----------------------------------------------------------------------------
    Related / similar articles
*/

/* related_posts_row */
//3columns
.td-related-row {
  margin-right: -21px;

  .mx-row-and-span(td-related-span);

  .td-related-span4 {
    width: 33.33333333%;
    padding-left: 0;
    padding-right: 21px;

    /* responsive 500px phone */
    @media (max-width: 500px) {
      padding-right: 10px;
    }
  }

  /* responsive 500px phone */
  @media (max-width: 500px) {
    margin-right: -10px;

    .td-video-play-ico img {
      width: 20px;
    }
  }
}

//5columns
.td-related-full-width {
  .td-related-row {
    margin-right: -22px;

    .td-related-span4 {
      width: 20%;
      padding-right: 22px;
      position: relative;

      /* responsive portrait phone */
      @media (max-width: @responsive_p_phone_max) {
        width: 100%;
        padding-right: 0;
      }
    }

    /* responsive portrait phone */
    @media (max-width: @responsive_p_phone_max) {
      margin-right: 0;
      .td-video-play-ico img {
        width: 20px;
      }
    }
  }
}
//end columns

.td_block_related_posts {
  position: relative;

  .td-module-thumb {
    margin-bottom: 7px;

    /* responsive portrait phone */
    @media (max-width: @responsive_p_phone_max) {
      margin-bottom: 0;
    }
  }

  .td-video-play-ico > img {
    /* responsive portrait phone */
    @media (max-width: @responsive_p_phone_max) {
      width: 25px;
    }
  }

  .td-module-title {
    font-family: @font3;
    font-weight: 500;
    font-size: 13px;
    line-height: 20px;
    margin-top: 0;

    /* responsive portrait phone */
    @media (max-width: @responsive_p_phone_max) {
      font-size: 17px;
      line-height: 23px;
    }
  }

  /* responsive portrait phone */
  @media (max-width: @responsive_p_phone_max) {
    .td-related-span4 {
      width: 100%;
    }

    .td-module-image {
      position: absolute;
      width: 100px;
    }

    .item-details {
      padding-left: 110px;
      min-height: 70px;
      margin-bottom: 26px;
    }
  }
  .td-next-prev-wrap {
    margin-top: 0;
  }
}

.td_block_template_1 {
  .td-related-title {
    border-bottom: 2px solid @td_theme_color;
    a {
      line-height: 1;
      padding: 9px 12px 5px 12px;

      /* responsive 320px phone */
      @media (max-width: 319px) {
        width: 100%;
        font-size: 12px !important;
      }
    }
    .td-cur-simple-item {
      background-color: @td_theme_color;
      color: #fff;

      &:hover {
        color: #fff;
      }
    }
  }
}

.td-related-title {
  font-family: @font3;
  font-size: 14px;
  line-height: 1;
  margin-top: 0;
  margin-bottom: 27px;

  & > .td-related-left,
  & > .td-related-right {
    display: inline-block;
    white-space: nowrap;

    /* responsive 320px phone */
    @media (max-width: 320px) {
      font-size: 13px !important;
    }
  }
  & > .td-related-right {
    /* responsive portrait phone */
    @media (max-width: @responsive_p_phone_max) {
      margin-right: 0 !important;
    }
  }
}
// firefox fix
@-moz-document url-prefix() {
  .td_block_template_1 .td-related-title > .td-related-left,
  .td_block_template_1 .td-related-title > .td-related-right {
    padding: 8px 12px 6px 12px;
  }
}

.td_mod_related_posts:hover {
  h3 > a {
    color: @td_theme_color;
  }
}

/*  ----------------------------------
    Parallax header
*/
.td-parallax-header {
  margin-bottom: 60px;

  /* responsive portrait tablet */
  @media (min-width: @responsive_p_tablet_min) and (max-width: @responsive_p_tablet_max) {
    margin-bottom: 36px;
  }

  /* responsive portrait phone */
  @media (max-width: @responsive_p_phone_max) {
    margin-bottom: 25px;
  }

  @media (max-width: 500px) {
    //min-height: 400px;
    //padding-top: 130px;
  }
}

/*  ----------------------------------
    Post embeds
*/
.wp-embedded-content {
  width: 100%;
}
